<nz-modal [nzVisible]='showContent' [nzFooter]='null' (nzOnCancel)='doClose(false)'
          nzTitle="{{'common.upload.downloadData'|translate}}" [nzWidth]='nzWidth'
          [nzCentered]='true'>
  <ng-container *nzModalContent style='padding: 0'>
    <div nz-row [nzGutter]='[30,30]'>
      <mb-button mbButtonType='BORDER' class='import-file-btn mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='24'
                 (click)='doDownloadTemplate()'>
        <div class='mb__button--content--imp'>
          <div class='content__left'>
            <em *ngIf='isDownloadTemplate' nz-icon [nzType]="'loading'"></em>
            <img alt="" src='/assets/icon/button/zip.png'>
            <span>{{'common.upload.downloadTemplate'|translate}}</span>
          </div>
          <div class='content__right'><img alt="" src='/assets/icon/button/file.png'></div>
        </div>
      </mb-button>
      <nz-upload nz-col nzXs='24' nzLg='24'
                 nzType='drag'
                 [nzMultiple]='false' [(nzFileList)]='fileList' [nzBeforeUpload]='beforeUpload'
                 [nzRemove]='doRemoveFile'>
        <div *ngIf="!fileImportName">
          <p class='ant-upload-drag-icon'>
            <img alt="" src='assets/icon/staff-manager/import.svg'>
          </p>
          <p class='ant-upload-text'>
            {{'common.upload.description'|translate}}
          </p>
          <p class='ant-upload-hint'>
            {{'common.upload.supportExcelS'|translate}}
          </p>
        </div>
        <div *ngIf="fileImportName" class="nz__upload--content">
          <p class='ant-upload-drag-icon'>
            <img style="width: 30px; margin-bottom: -10px" alt="" src='/assets/icon/staff-manager/export_excel.svg' />
          </p>
          <p class='ant-upload-text'>{{fileImportName}}</p>
          <p class='ant-upload-hint'>
            {{fileImportSize}} MB
          </p>
        </div>
      </nz-upload>
    </div>
    <div nz-row [nzGutter]='[10,10]' *ngIf='isExistFileImport' class='import-file-btn'>
      <mb-button mbButtonType='BORDER' mbButtonSize='SMALL' mbButtonText="{{'common.button.cancel'|translate }}"
                 class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
                 mbButtonAvailableStyle='DEFAULT'
                 (click)='doClose(false)'></mb-button>
      <mb-button mbButtonType='BORDER' mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
                 [mbButtonIsLoading]='isImport'
                 mbButtonText="{{'common.upload.upload'|translate }}"
                 class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
                 (click)='doImportFile()'></mb-button>
    </div>
  </ng-container>
</nz-modal>
<nz-modal (nzOnCancel)='doCloseModal()' [nzCentered]='true' [nzVisible]='isModalError'
          nzTitle="{{'common.error.list'|translate}}">
  <div *nzModalContent>
    <nz-table [nzData]='errorList' nzBordered='true' nzSize='small' nzShowPagination='false' [nzScroll]="{x: 'auto'}">
      <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">{{'common.table.column'|translate}}</th>
        <th scope="col">{{'common.table.row'|translate}}</th>
        <th scope="col">{{'common.table.value'|translate}}</th>
        <th scope="col">{{'common.error.description'|translate}}</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor='let data of errorList; let i = index'>
        <td>{{ i + 1 }}</td>
        <td>{{ data?.columnLabel }}</td>
        <td>{{ data?.row }}</td>
        <td>{{ data?.content }}</td>
        <td><span [innerHtml]='data?.description'></span></td>
      </tr>
      </tbody>
    </nz-table>
<!--    <div class='linkDownload'>-->
<!--      <a (click)='doDownloadFile()'>Download file</a>-->
<!--    </div>-->
  </div>
  <div *nzModalFooter>
    <mb-button (click)='doCloseModal()' mbPrefixIcon='close-circle'
               mbButtonText="{{'common.button.close'|translate}}" mbButtonAvailableStyle='DANGER'></mb-button>
  </div>
</nz-modal>

